Bug 1127228 - Network proposal does not handle packages dependencies correctly
Network proposal does not handle packages dependencies correctly
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Installation
Current
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Knut Alejandro Anderssen González
Jiri Srain
https://trello.com/c/Fou7Uo2t
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-27 15:51 UTC by Knut Alejandro Anderssen González
Modified: 2022-09-12 10:30 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Knut Alejandro Anderssen González 2019-02-27 15:51:24 UTC
There are some issues during the network proposal configuration that affects the installation and selection of packages:

1.- Although the proposal shows that the default backend is NetworkManager, the list of resolvables is not updated correctly

https://openqa.opensuse.org/tests/863849#step/installation_overview/2

The list is updated when switching between backends, but if the package is not added by a specific pattern or role, then the backend is not used at all as we can see in the test. Wicked service is also not activated which means no network after the installation

In SLE, wicked is usually the default and part of the proposal packages list so not detected issues there.

2.- If we go back & forth modifying the current system role, the new default for the network backend is ignored as it has been already initialized.
Comment 1 Knut Alejandro Anderssen González 2019-02-28 16:27:27 UTC
Fixed in yast2-network-4.1.42 (https://github.com/yast/yast-network/pull/730)

SR: https://build.suse.de/request/show/185847